/*
 * capab.c: the CAPAB command
 * 
 * Copyright 2002-2007 the Ithildin Project.
 * See the COPYING file for more information on licensing and use.
 */

#include <ithildin/ithildin.h>

#include "ircd.h"

IDSTRING(rcsid, "$Id$");

MODULE_REGISTER("$Rev$");
const char *mdepends[] = MDEPENDS;

CLIENT_COMMAND(capab, 1, 0, COMMAND_FL_UNREGISTERED) {

    return COMMAND_WEIGHT_NONE; /* nothing to say here.. */
}

/* This will read in a list of capabilities from the server and modify the
 * server's pflags area as necessary. */
SERVER_COMMAND(capab, 1, 0, COMMAND_FL_UNREGISTERED) {
    int i = 1;

    if (!MYSERVER(sptr))
        return 0;

    while (i < argc) {
        if (!strcasecmp(argv[i], "ATTR"))
            sptr->pflags |= PROTOCOL_SFL_ATTR;
        else if (!strcasecmp(argv[i], "NOQUIT"))
            sptr->pflags |= PROTOCOL_SFL_NOQUIT;
        else if (!strcasecmp(argv[i], "SJOIN") ||
                !strcasecmp(argv[i], "SSJOIN"))
            sptr->pflags |= PROTOCOL_SFL_SJOIN;
        else if (!strcasecmp(argv[i], "TSMODE"))
            sptr->pflags |= PROTOCOL_SFL_TSMODE;
        i++;
    }

    return 0;
}

/* vi:set ts=8 sts=4 sw=4 tw=76 et: */
